#!/bin/sh
#
# $FreeBSD: ports/net/cnupm/files/cnupm.sh.in,v 1.1 2005/06/22 15:40:51 lawrance Exp $
#

#
# Add the following lines to /etc/rc.conf to enable rsyncd:
#
# cnupm_enable="YES"
# cnupm_ifaces="rl0"	# Change this with your interface!
# cnupm_flags=""		# Set this one to override default flags
#
# See cnupm(8) for flags
#

. /etc/rc.subr

name=cnupm
rcvar=`set_rcvar`
command=/usr/local/sbin/cnupm
cnupm_flags="-ep -f inet -u cnupm"

load_rc_config ${name}

cnupm_enable=${cnupm_enable:-"NO"}

case ${cnupm_enable} in
[Yy][Ee][Ss])
	if [ -z ${cnupm_iface} ]; then
		err 1 "cnupm_iface is not set - edit /etc/rc.conf"
	fi
esac

cnupm_flags="-i ${cnupm_iface} ${cnupm_flags:-""}"
pidfile=~${name}/${name}-${cnupm_iface}.pid

run_rc_command "$1"
